Skip to main content
POST
/
v1
/
escalations
/
{id}
/
assign
Assign escalation
curl --request POST \
  --url https://api.conduit.ai/v1/escalations/{id}/assign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee_id": "m48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a"
}
'
import requests

url = "https://api.conduit.ai/v1/escalations/{id}/assign"

payload = { "assignee_id": "m48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee_id: 'm48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a'})
};

fetch('https://api.conduit.ai/v1/escalations/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "k578dfetqv2xv0b7bt9c6m4j5s7n8p1r",
    "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
    "type": "chat",
    "conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
    "contact_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
    "agent_run_id": "ar77c0dy0mgdpzmqz6tesry8w184002s",
    "agent_id": "ag77c0dy0mgdpzmqz6tesry8w184002s",
    "disposition": "escalated",
    "disposition_reason": "Early check-in availability requires property team confirmation.",
    "status": "pending",
    "created_at": "2026-04-03T05:42:10.000Z",
    "reviewed_at": null,
    "reviewed_by": null,
    "assignee": null,
    "guest_message": "Can I check in before 3 PM tomorrow?",
    "proposed_response": "I can help confirm that for you. Let me check with the property team.",
    "request_for_additional_info": "Please confirm whether early check-in is available for this reservation.",
    "questions_for_operator": "Please confirm whether early check-in is available for this reservation."
  }
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Path Parameters

id
string
required

Escalation id.

Example:

"k578dfetqv2xv0b7bt9c6m4j5s7n8p1r"

Query Parameters

workspace_id
string

Optional workspace override. If omitted, Conduit resolves the escalation's workspace automatically.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

Body

application/json

Request body for assigning a chat escalation to a user.

assignee_id
string
required

Workspace user to assign the escalation to. Must be a member of the escalation's workspace.

Example:

"m48k3v7p2q9x5t1w8r6n4j0y3u2i5o7a"

Response

Assigned escalation

Single chat escalation response.

data
object
required

Single chat escalation entry with review status, assignee, and escalation context when available.

Example:
{
"id": "k578dfetqv2xv0b7bt9c6m4j5s7n8p1r",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"type": "chat",
"conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"contact_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"agent_run_id": "ar77c0dy0mgdpzmqz6tesry8w184002s",
"agent_id": "ag77c0dy0mgdpzmqz6tesry8w184002s",
"disposition": "escalated",
"disposition_reason": "Early check-in availability requires property team confirmation.",
"status": "pending",
"created_at": "2026-04-03T05:42:10.000Z",
"reviewed_at": null,
"reviewed_by": null,
"assignee": null,
"guest_message": "Can I check in before 3 PM tomorrow?",
"proposed_response": "I can help confirm that for you. Let me check with the property team.",
"request_for_additional_info": "Please confirm whether early check-in is available for this reservation.",
"questions_for_operator": "Please confirm whether early check-in is available for this reservation."
}